Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iquery
Class IQuery.LookupThread

    java.lang.Object
      java.lang.Thread
          ix.util.CatchingThread
              ix.iquery.IQuery.LookupThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  IQuery

    protected class IQuery.LookupThread

extends CatchingThread

A thread that invokes a `LookupHandler`.

When started, this thread makes a new `LookupHandler` by calling `IQuery.makeLookupHandler(IQuery, Activity)` and then calls the handler's `LookupHandler.handleLookup()` method.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`(package private) Activity` | `act`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`IQuery.LookupThread(Activity act)`

Method Summary
`void` | `innerRun()` Calls the run() method of the innerRunnable passed to the constructor, if innerRunnable is non-null; otherwise does nothing.

Methods inherited from class ix.util.CatchingThread
`handleException, run`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### act

    Activity act

Constructor Detail

### IQuery.LookupThread

    IQuery.LookupThread(Activity act)

Method Detail

### innerRun

    public void innerRun()

  Description copied from class: `CatchingThread`
  Calls the run() method of the innerRunnable passed to the constructor, if innerRunnable is non-null; otherwise does nothing. An alternative to supplying an innerRunnable is to redefine this method in a subclass.

  Overrides:
    `innerRun` in class `CatchingThread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD